<?php
/*
 * Plugin name: Grimlock for WooCommerce Subscriptions
 * Plugin URI:  http://www.themosaurus.com
 * Description: Adds integration features for Grimlock and WooCommerce Subscriptions.
 * Author:      Themosaurus
 * Author URI:  http://www.themosaurus.com
 * Version:     1.1.0
 * License:     GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: grimlock-woocommerce-subscriptions
 * Domain Path: /languages
 * WC requires at least: 3.3
 * WC tested up to: 3.5
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'GRIMLOCK_WOOCOMMERCE_SUBSCRIPTIONS_VERSION',         '1.1.0' );
define( 'GRIMLOCK_WOOCOMMERCE_SUBSCRIPTIONS_PLUGIN_FILE',     __FILE__ );
define( 'GRIMLOCK_WOOCOMMERCE_SUBSCRIPTIONS_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
define( 'GRIMLOCK_WOOCOMMERCE_SUBSCRIPTIONS_PLUGIN_DIR_URL',  plugin_dir_url( __FILE__ ) );

// Initialize update checker
require 'libs/plugin-update-checker/plugin-update-checker.php';
Puc_v4_Factory::buildUpdateChecker(
	'http://files.themosaurus.com/grimlock-woocommerce-subscriptions/version.json',
	__FILE__,
	'grimlock-woocommerce-subscriptions'
);

/**
 * Load plugin.
 *
 * @since 1.0.0
 */
function grimlock_woocommerce_subscriptions_loaded() {
	require_once 'inc/class-grimlock-woocommerce-subscriptions.php';

	global $grimlock_woocommerce_subscriptions;
	$grimlock_woocommerce_subscriptions = new Grimlock_WooCommerce_Subscriptions();

	do_action( 'grimlock_woocommerce_subscriptions_loaded' );
}
add_action( 'grimlock_woocommerce_loaded', 'grimlock_woocommerce_subscriptions_loaded' );
