<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Grimlock_WooCommerce_Subscriptions
 *
 * @author  octopix
 * @since   1.0.0
 * @package grimlock-woocommerce-subscriptions/inc
 */
class Grimlock_WooCommerce_Subscriptions {
	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		load_plugin_textdomain( 'grimlock-woocommerce-subscriptions', false, 'grimlock-woocommerce-subscriptions/languages' );

		require_once GRIMLOCK_WOOCOMMERCE_SUBSCRIPTIONS_PLUGIN_DIR_PATH . 'inc/grimlock-woocommerce-subscriptions-template-functions.php';
		require_once GRIMLOCK_WOOCOMMERCE_SUBSCRIPTIONS_PLUGIN_DIR_PATH . 'inc/grimlock-woocommerce-subscriptions-template-hooks.php';

		// Initialize components.
		require_once GRIMLOCK_WOOCOMMERCE_SUBSCRIPTIONS_PLUGIN_DIR_PATH . 'inc/component/class-grimlock-woocommerce-subscriptions-product-component.php';

		global $grimlock_woocommerce;
		remove_action( 'grimlock_query_product', array( $grimlock_woocommerce, 'query_product' ), 10    );
		add_action(    'grimlock_query_product', array( $this,                 'query_product' ), 10, 1 );

		// Initialize widgets.
		require_once GRIMLOCK_WOOCOMMERCE_SUBSCRIPTIONS_PLUGIN_DIR_PATH . 'inc/widget/fields/class-grimlock-woocommerce-subscriptions-products-section-widget-fields.php';
		require_once GRIMLOCK_WOOCOMMERCE_SUBSCRIPTIONS_PLUGIN_DIR_PATH . 'inc/widget/class-grimlock-woocommerce-subscriptions-products-section-widget.php';

		add_action( 'widgets_init', array( $this, 'widgets_init' ), 10 );
	}

	/**
	 * Display the product component for the Testimonial post type.
	 *
	 * @param array $args
	 * @since 1.0.0
	 */
	public function query_product( $args = array() ) {
		$component = new Grimlock_WooCommerce_Subscriptions_Product_Component( apply_filters( 'grimlock_query_product_args', $args ) );
		$component->render();
	}

	/**
	 * Register the custom widgets.
	 *
	 * @since 1.0.0
	 */
	public function widgets_init() {
		register_widget( 'Grimlock_WooCommerce_Subscriptions_Products_Section_Widget' );
	}
}