<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Class Grimlock_WooCommerce_Subscriptions_Product_Component
 *
 * @author  themosaurus
 * @since   1.0.0
 * @package grimlock/inc/components
 */
class Grimlock_WooCommerce_Subscriptions_Product_Component extends Grimlock_WooCommerce_Product_Component {
	/**
	 * Create a new Grimlock_Component instance.
	 *
	 * @param array $props Array of variables to be used within template.
	 */
	public function __construct( $props = array() ) {
		parent::__construct( wp_parse_args( $props, array(
			'post_content_displayed' => true,
		) ) );
	}

	/**
	 * Render the current component with props data on page.
	 *
	 * @since 1.0.0
	 */
	public function render() {
		// Check if product is a subscription plan.
		if ( metadata_exists( 'post', get_the_ID(), '_subscription_length' ) ) :
			/**
			 * Hook: grimlock_woocommerce_subscriptions_product_template
			 *
			 * @hooked grimlock_woocommerce_subscriptions_product_template - 10
			 */
			do_action( 'grimlock_woocommerce_subscriptions_product_template', $this->props ); ?>
			<?php
		else :
			parent::render();
		endif;
	}
}
