<?php
/**
 * Template hooks for Grimlock for WooCommerce Subscriptions
 *
 * @package grimlock-woocommerce-subscriptions/inc
 */

add_action( 'grimlock_woocommerce_subscriptions_access_length', 'grimlock_woocommerce_subscriptions_access_length', 10, 1 );

/**
 * Product component hooks
 *
 * @see grimlock_woocommerce_subscriptions_product_template
 *
 * @see grimlock_woocommerce_subscriptions_product_header
 * @see grimlock_woocommerce_subscriptions_product_content
 * @see grimlock_woocommerce_subscriptions_product_footer
 *
 * @see grimlock_woocommerce_subscriptions_product_title
 * @see grimlock_woocommerce_subscriptions_product_excerpt
 * @see grimlock_woocommerce_subscriptions_product_price
 *
 * @see grimlock_woocommerce_subscriptions_product_add_to_cart
 */
add_action( 'grimlock_woocommerce_subscriptions_product_template', 'grimlock_woocommerce_subscriptions_product_template',    10, 1 );

add_action( 'grimlock_woocommerce_subscriptions_product_card',     'grimlock_woocommerce_subscriptions_product_header',      10, 1 );
add_action( 'grimlock_woocommerce_subscriptions_product_card',     'grimlock_woocommerce_subscriptions_product_content',     20, 1 );
add_action( 'grimlock_woocommerce_subscriptions_product_card',     'grimlock_woocommerce_subscriptions_product_footer',      30, 1 );

add_action( 'grimlock_woocommerce_subscriptions_product_header',   'grimlock_woocommerce_subscriptions_product_title',       10, 1 );
add_action( 'grimlock_woocommerce_subscriptions_product_header',   'grimlock_woocommerce_subscriptions_product_excerpt',     20, 1 );
add_action( 'grimlock_woocommerce_subscriptions_product_header',   'grimlock_woocommerce_subscriptions_product_price',       30, 1 );

add_action( 'grimlock_woocommerce_subscriptions_product_footer',   'grimlock_woocommerce_subscriptions_product_add_to_cart', 10, 1 );